From: "Julien Roy" <julien@jroy.ca>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/proj/guru:master commit in: net-vpn/mullvadvpn-app/
Date: Thu, 11 Apr 2024 16:22:22 +0000 (UTC) [thread overview]
Message-ID: <1712846134.10ec5f8ad9200abf6125792d47b57c052c4eb6b0.julien@gentoo> (raw)
commit: 10ec5f8ad9200abf6125792d47b57c052c4eb6b0
Author: Joe Kappus <joe <AT> wt <DOT> gd>
AuthorDate: Thu Apr 11 14:35:34 2024 +0000
Commit: Julien Roy <julien <AT> jroy <DOT> ca>
CommitDate: Thu Apr 11 14:35:34 2024 +0000
URL: https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=10ec5f8a
net-vpn/mullvadvpn-app: add 2024.1
Signed-off-by: Joe Kappus <joe <AT> wt.gd>
net-vpn/mullvadvpn-app/Manifest | 1 +
.../mullvadvpn-app/mullvadvpn-app-2024.1.ebuild | 67 ++++++++++++++++++++++
2 files changed, 68 insertions(+)
diff --git a/net-vpn/mullvadvpn-app/Manifest b/net-vpn/mullvadvpn-app/Manifest
index 17b36a5d5b..4d1b85fd16 100644
--- a/net-vpn/mullvadvpn-app/Manifest
+++ b/net-vpn/mullvadvpn-app/Manifest
@@ -1,2 +1,3 @@
DIST MullvadVPN-2023.5_x86_64.rpm 81073977 BLAKE2B eb844bd61b1cfcb97e1b9f79940e55d4f6cf9e028bbf472d5a4b3e64778537888aff7788413634d74feca063b1a6d9c71ad2f616708766192633ea9a214dc437 SHA512 b4d6055704a61e3113f3e6446d9e51225f582ee5b33dc7ef8b8d13ecf0d292de42e2a0eeea0bfc323ec0274374de6a6f0b2f927ff2ae6087192d6ebb15f16259
DIST MullvadVPN-2023.6_x86_64.rpm 83333853 BLAKE2B 0916576f72732290ae6d3ffb462c62a334fce794a9c691a3ee8f0c622857c18f6733ea8b748034db6e068eb0e56214f312b28ad51d2ebb7bfd68df6756372068 SHA512 f8a78c533a76c40b71ef4062fe5c245924e73b05d3525c40e5b037ba1666aedf2917260f443d6d85188600ad4d7b45309a5257b439c7dcbd38d6e66e773b909e
+DIST MullvadVPN-2024.1_x86_64.rpm 87750673 BLAKE2B 000d43bceeec45650f95aed4812d327da2fe5017e0a23a784521066d3aedf6499695f441ddb82bc1ca86c5e8f414d0ddaecaec09ade2642395a7505ab0e53065 SHA512 f5e2408a964520805427c53c97f1ed2313632a68e0f8b10b78b541878be591e8d62883e0ef8536959747c80769ffae9d0f11b82571328b9d62686466e88d9b7c
diff --git a/net-vpn/mullvadvpn-app/mullvadvpn-app-2024.1.ebuild b/net-vpn/mullvadvpn-app/mullvadvpn-app-2024.1.ebuild
new file mode 100644
index 0000000000..81d0825e99
--- /dev/null
+++ b/net-vpn/mullvadvpn-app/mullvadvpn-app-2024.1.ebuild
@@ -0,0 +1,67 @@
+# Copyright 2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit desktop rpm systemd shell-completion xdg
+
+DESCRIPTION="Tool used to manage daemon setup"
+HOMEPAGE="https://github.com/mullvad/mullvadvpn-app https://mullvad.net/"
+SRC_URI="amd64? ( https://github.com/mullvad/mullvadvpn-app/releases/download/${PV}/MullvadVPN-${PV}_x86_64.rpm )"
+
+LICENSE="GPL-3"
+SLOT="0"
+RESTRICT="test strip"
+KEYWORDS="-* ~amd64"
+
+RDEPEND="
+ app-accessibility/at-spi2-core
+ dev-libs/nspr
+ dev-libs/nss
+ media-libs/alsa-lib
+ media-libs/mesa
+ net-print/cups
+ x11-libs/gtk+
+ x11-libs/libdrm
+ x11-libs/libXcomposite
+ x11-libs/libXdamage
+ x11-libs/libXfixes
+ x11-libs/libxkbcommon
+ x11-libs/libXrandr
+ x11-libs/pango
+"
+
+QA_PREBUILT="*"
+
+S="${WORKDIR}"
+
+src_install() {
+ # Using doins -r would strip executable bits from all binaries
+ cp -pPR "${S}"/opt "${D}"/ || die "Failed to copy files"
+ fperms +x "/opt/Mullvad VPN/chrome_crashpad_handler"
+ fperms 4755 "/opt/Mullvad VPN/chrome-sandbox"
+
+ # tbh I don't know if all next lines are needed or we can just do cp -pPR "${S}"/usr "${D}"/"
+
+ local i
+ dobin "${S}"/usr/bin/mullvad
+ dobin "${S}"/usr/bin/mullvad-daemon
+ dobin "${S}"/usr/bin/mullvad-exclude
+ dosym "/opt/Mullvad VPN/resources/mullvad-problem-report" /usr/bin/mullvad-problem-report
+
+ newinitd "${FILESDIR}"/mullvad-daemon.initd mullvad-daemon
+
+ systemd_newunit "${S}"/usr/lib/systemd/system/mullvad-daemon.service mullvad-daemon.service
+ systemd_newunit "${S}"/usr/lib/systemd/system/mullvad-early-boot-blocking.service mullvad-early-boot-blocking.service
+
+ newbashcomp "${S}"/usr/share/bash-completion/completions/mullvad mullvad
+ newfishcomp "${S}"/usr/share/fish/vendor_completions.d/mullvad.fish mullvad
+ newzshcomp "${S}"/usr/share/zsh/site-functions/_mullvad _mullvad
+
+ domenu "${S}"/usr/share/applications/mullvad-vpn.desktop
+ local x
+ for x in 16 32 48 64 128 256 512 1024; do
+ doicon -s ${x} "${S}"/usr/share/icons/hicolor/${x}x${x}/apps/mullvad-vpn.png
+ done
+
+}
next reply other threads:[~2024-04-11 16:22 UTC|newest]
Thread overview: 24+ messages / expand[flat|nested] mbox.gz Atom feed top
2024-04-11 16:22 Julien Roy [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-01-03 19:42 [gentoo-commits] repo/proj/guru:master commit in: net-vpn/mullvadvpn-app/ Julien Roy
2024-12-06 8:32 Viorel Munteanu
2024-12-05 12:00 Florian Schmaus
2024-10-23 14:25 David Roman
2024-10-23 14:25 David Roman
2024-10-11 9:55 David Roman
2024-09-27 11:41 David Roman
2024-08-24 20:56 David Roman
2024-08-23 0:18 David Roman
2024-07-25 14:54 David Roman
2024-07-25 14:54 David Roman
2024-07-17 8:40 David Roman
2024-06-27 8:41 David Roman
2024-06-25 12:16 David Roman
2024-06-25 12:16 David Roman
2024-05-16 16:27 Julien Roy
2024-05-12 9:38 Viorel Munteanu
2024-05-12 9:38 Viorel Munteanu
2024-01-01 3:56 David Roman
2023-12-12 9:08 [gentoo-commits] repo/proj/guru:dev " David Roman
2023-12-12 10:52 ` [gentoo-commits] repo/proj/guru:master " David Roman
2023-11-01 23:27 Haelwenn Monnier
2023-10-30 11:27 David Roman
2023-10-28 1:06 [gentoo-commits] repo/proj/guru:dev " David Roman
2023-10-28 1:15 ` [gentoo-commits] repo/proj/guru:master " David Roman
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1712846134.10ec5f8ad9200abf6125792d47b57c052c4eb6b0.julien@gentoo \
--to=julien@jroy.ca \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox